#ifndef FILEJUMP_H
#define FILEJUMP_H

#include <kdialogbase.h>
#include <klistview.h>
#include <noatun/playlist.h>

class KLineEdit;
class QTimer;

typedef QMap<QListViewItem *, PlaylistItem> LinkList;

class FileJumpDialog : public KDialogBase
{
	Q_OBJECT

	public:
		FileJumpDialog(QWidget *parent);
		~FileJumpDialog();

		virtual void show();
		void refillList(const QString &);

	public slots:
		void textChanged(const QString &);
		void slotInputDelay();
		void slotJumpClicked();

	signals:
		void doJump(const PlaylistItem&);

	private:
		void keyPressEvent(QKeyEvent *);

	private:
		KLineEdit *mText;
		KListView *mResultList;
		QTimer *mTimer;
		LinkList ll;
};
#endif
