#ifndef FLEXPREFS_H
#define FLEXPREFS_H

#include "flexprefswidget.h"

// system includes
#include <qwidget.h>
#include <noatun/pref.h>

class KConfig;
class QColor;
class FlexPrefsWidget;
class KFontCombo;

class FlexPrefs : public CModule
{
Q_OBJECT
public:
	FlexPrefs(QObject* parent);
	~FlexPrefs();

	virtual void save();
	virtual void reopen();

	bool modified() const { return mModified; };
	QString file() const { return mFile; };
	int saved() const { return mSaved; };
	QFont font() const { return mFont; };
	bool showHeader() const { return mShowHeader; };
	bool showStatusButtons() const { return mShowStatusButtons; };
	bool selUseBold() const { return mSelUseBold; };
	bool showIcons() const { return mShowIcons; };
	bool rememberGeom() const { return mRememberGeom; };
	QColor selTxtColor() const { return mSelTxtColor; };
	QColor selBgColor() const { return mSelBgColor; };

	void setSaved(int s);
	void setFile(const QString &f);
	void setModified(bool m);

signals:
	void configChanged();

private:
	KConfig *cfg;
	FlexPrefsWidget *mMainWidget;
	KFontCombo *mFontCombo;

	bool mModified;
	QString mFile;
	int mSaved;
	QFont mFont;
	bool mShowHeader;
	bool mSelUseBold;
	bool mShowIcons;
	bool mRememberGeom;
	bool mShowStatusButtons;
	QColor mSelTxtColor;
	QColor mSelBgColor;
};
#endif
